<?php
namespace FiloBlu\Flow\Model\Channel\In;


class Stock extends AbstractModel {

    /**
    * @var Monolog\Logger
    */
    protected $_logger;

    public function __construct(
             \FiloBlu\Flow\Helper\LoggerProvider $loggerProvider,
             \FiloBlu\Flow\Model\Channel\Config $channelConfig
    ) {
        parent::__construct($loggerProvider, $channelConfig);
        $this->_logger = $loggerProvider->getLogger();
    }

    public function load($channelname) {
        $this->init($channelname);
        return $this;
    }

    public function insertData($data) {
        
        $this->_logger->info(__METHOD__);

        $flow = $this->getFile()->getData('flow'); 
        $model =  \Magento\Framework\App\ObjectManager::getInstance()->create('FiloBlu\Flow\Model' . "\\" . $flow);
        
        if (!$model)
            return false;

        $model->setData('meta_file',$this->getFile()->getId());
        $model->setData('meta_processed',0);

        $model->setData('magazzino','VEN');
        foreach($data as $field => $value){
            $fieldMap = $this->map->get($field); 
            if(!isset($fieldMap["skip"])) {
                $to_field = $fieldMap["to"];
                $model->setData("$to_field","$value");
            }
        }
        $model->save();
    }

}
